---
title: "List of Locations and Languages for DataForSEO Labs API"
url: "https://docs.dataforseo.com/v3/dataforseo_labs/locations_and_languages/"
date: "2026-08-26"
---

## List of Locations and Languages for DataForSEO Labs API

  
Using this endpoint you can get the full list of locations and languages supported in DataForSEO Labs API. Available sources currently include Google, Bing, and Amazon search engines. However, you should note that Amazon and Bing locations and languages are currently limited to the US/English.

You can also [download the full list of supported locations](https://cdn.dataforseo.com/v3/locations/locations_and_languages_dataforseo_labs_2026_08_06.csv) in the CSV format (last updated 2026-08-06).

### **Note:** All locations in Russia and Belarus are no longer supported across all DataForSEO services due to the invasion of Ukraine.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/dataforseo\_labs/locations\_and\_languages     

      

Pricing

 Your account will not be charged for using this API

 

 As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information about available locations and languages.

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of response codes [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the parameters passed in the URL of the GET request* |
| **`result`** | array | *array of results* |
| `location_code` | integer | *location code* |
| `location_name` | string | *full name of the location* |
| `location_code_parent` | integer | *the code of the superordinate location*   the value will be `null` as `Country` is the only supported `location_type` for this API |
| `country_iso_code` | string | *ISO country code of the location* |
| `location_type` | string | *location type*   possible values:   `Country` |
| **`available_languages`** | array | *supported languages*   contains the languages which are supported for a specific location |
| `available_sources` | array | *supported sources*   contains the sources of data supported for a specific location and language combination   only `google` and `bing` are currently available |
| `language_name` | string | *language name* |
| `language_code` | string | *language code according to [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes)* |
| `keywords` | integer | *the number of keywords available for the given location and language* |
| `serps` | integer | *the number of SERP pages available for the given location and language* |









 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw ""
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
   // using this method you can get a list of locations and languages
   // GET /v3/dataforseo_labs/locations_and_languages
   $result = $client->get('/v3/dataforseo_labs/locations_and_languages');
   print_r($result);
   // do something with result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages',
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# using this method you can get a list of locations and languages
# GET /v3/dataforseo_labs/locations_and_languages
response = client.get("/v3/dataforseo_labs/locations_and_languages")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task dataforseo_labs_locations_and_languages()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of locations and languages
            // GET /v3/dataforseo_labs/locations_and_languages
            var response = await httpClient.GetAsync("/v3/dataforseo_labs/locations_and_languages");
            var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
    "version": "0.1.20221214",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.2517 sec.",
    "cost": 0,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "01111530-1535-0196-0000-247f5e1d1953",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0 sec.",
            "cost": 0,
            "result_count": 90,
            "path": [
                "v3",
                "dataforseo_labs",
                "locations_and_languages"
            ],
            "data": {
                "api": "dataforseo_labs",
                "function": "locations_and_languages"
            },
            "result": [
                {
                    "location_code": 2840,
                    "location_name": "United States",
                    "location_code_parent": null,
                    "country_iso_code": "US",
                    "location_type": "Country",
                    "available_languages": [
                        {
                            "available_sources": [
                                "google",
                                "bing",
                                "amazon"
                            ],
                            "language_name": "English",
                            "language_code": "en",
                            "keywords": 857610015,
                            "serps": 178274543
                        },
                        {
                            "available_sources": [
                                "google"
                            ],
                            "language_name": "Spanish",
                            "language_code": "es",
                            "keywords": 101466536,
                            "serps": 5390600
                        }
                    ]
                },
                {
                    "location_code": 2854,
                    "location_name": "Burkina Faso",
                    "location_code_parent": null,
                    "country_iso_code": "BF",
                    "location_type": "Country",
                    "available_languages": [
                        {
                            "available_sources": [
                                "google"
                            ],
                            "language_name": "French",
                            "language_code": "fr",
                            "keywords": 3256536,
                            "serps": 216324
                        }
                    ]
                },
                {
                    "location_code": 2858,
                    "location_name": "Uruguay",
                    "location_code_parent": null,
                    "country_iso_code": "UY",
                    "location_type": "Country",
                    "available_languages": [
                        {
                            "available_sources": [
                                "google"
                            ],
                            "language_name": "Spanish",
                            "language_code": "es",
                            "keywords": 8872110,
                            "serps": 455072
                        }
                    ]
                },
                {
                    "location_code": 2492,
                    "location_name": "Monaco",
                    "location_code_parent": null,
                    "country_iso_code": "MC",
                    "location_type": "Country",
                    "available_languages": [
                        {
                            "available_sources": [
                                "google"
                            ],
                            "language_name": "French",
                            "language_code": "fr",
                            "keywords": 533383,
                            "serps": 188191
                        }
                    ]
                },
                {
                    "location_code": 2008,
                    "location_name": "Albania",
                    "location_code_parent": null,
                    "country_iso_code": "AL",
                    "location_type": "Country",
                    "available_languages": [
                        {
                            "available_sources": [
                                "google"
                            ],
                            "language_name": "Albanian",
                            "language_code": "sq",
                            "keywords": 865801,
                            "serps": 449402
                        }
                    ]
                },
                {
                    "location_code": 2862,
                    "location_name": "Venezuela",
                    "location_code_parent": null,
                    "country_iso_code": "VE",
                    "location_type": "Country",
                    "available_languages": [
                        {
                            "available_sources": [
                                "google"
                            ],
                            "language_name": "Spanish",
                            "language_code": "es",
                            "keywords": 36270163,
                            "serps": 2529098
                        }
                    ]
                }
            ]
        }
    ]
}
```









 

  cURL   php   Node.js   Python   cSharp